Bug 13869 - Wrong capitalization on guided reports page
Summary: Wrong capitalization on guided reports page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-18 22:31 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13869: Wrong capitalization of 'Save Report' in guided reports (1.54 KB, patch)
2015-03-18 22:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 13869: Wrong capitalization of 'Save Report' in guided reports (1.70 KB, patch)
2015-03-20 14:50 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13869: Wrong capitalization of 'Save Report' in guided reports (1.72 KB, patch)
2015-03-27 12:33 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-18 22:31:52 UTC
On the last step of saving a new guided report to the database, the button is labelled "Save Report", but should be "Save report".
Comment 1 Katrin Fischer 2015-03-18 22:42:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2015-03-19 12:11:18 UTC
Please test carefully -- In Guided Reports the label on the button might be used as a parameter by the script for determining what action to take.
Comment 3 Katrin Fischer 2015-03-19 12:14:37 UTC
Good point Owen - I avoided changing other occurrences and only changed the value that is getting translated. So I hope the change is save. :)
Comment 4 Marc Véron 2015-03-20 14:50:11 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-03-27 12:33:42 UTC
Created attachment 37308 [details] [review]
[PASSED QA] Bug 13869: Wrong capitalization of 'Save Report' in guided reports

On the last step of saving a new guided report to the database,
the button is labelled 'Save Report', but should be 'Save report'.

To test:
- Create a new guided report from the reports page
- Check on the very last step, when saving the report to the
  database, the button is labelled 'Save Report'
- With the patch applied, this reads 'Save report' instead

http://bugs.koha-community.org/show_bug.cgi?id=13868

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Safe change. Script uses the "phase" variable which remains "Save Report"
Comment 6 Tomás Cohen Arazi 2015-03-31 14:05:18 UTC
Patch pushed to master.

Thanks Katrina!
Comment 7 Chris Cormack 2015-04-05 05:55:25 UTC
Pushed to 3.18.x will be in 3.18.6